Package org.snpeff.fileIterator

# Class BigBedFileIterator

java.lang.Object
org.snpeff.fileIterator.FileIterator<Variant>
org.snpeff.fileIterator.MarkerFileIterator<Variant>
org.snpeff.fileIterator.VariantFileIterator
org.snpeff.fileIterator.BigBedFileIterator

All Implemented Interfaces:
  `Iterable<Variant>`, `Iterator<Variant>`

public class BigBedFileIterator extends VariantFileIterator
FileIterator for BigBed features WARNING: Removed in 2022-01 due to dependency on IGV's code (which depends on Log4j, which has a major security issue) Note: I use Broad's IGV code to do all the work, this is just a wrapper

Author:
  pablocingolani

## Field Summary

### Fields inherited from class org.snpeff.fileIterator.MarkerFileIterator

`createChromos, genome, ignoreChromosomeErrors, inOffset`

### Fields inherited from class org.snpeff.fileIterator.FileIterator

`autoClose, countNewLineChars, debug, fileName, fileSize, line, lineNum, next, nextLine, reader, verbose`

## Constructor Summary

Constructors
Constructor
Description
`BigBedFileIterator(String fileName)`

## Method Summary

Modifier and Type
Method
Description
`protected Variant`
`readNext()`
Read next element

### Methods inherited from class org.snpeff.fileIterator.MarkerFileIterator

`getChromosome, getGenome, init, isIgnoreChromosomeErrors, loadMarkers, parsePosition, sanityCheckChromo, setCreateChromos, setIgnoreChromosomeErrors, setInOffset`

### Methods inherited from class org.snpeff.fileIterator.FileIterator

`close, countNewLineChars, getFilePointer, getLine, getLineNum, guessNewLineChars, hasNext, hasSeek, isDebug, iterator, load, next, readLine, ready, remove, seek, setAutoClose, setDebug, setVerbose, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Constructor Details

### BigBedFileIterator

public BigBedFileIterator(String fileName)

## Method Details

### readNext

protected Variant readNext()
Description copied from class: `FileIterator`
Read next element

Specified by:
  `readNext` in class `FileIterator<Variant>`